Bug 182746 - [maintainer-update] [patch] devel/dulwich: Update to 0.9.1. Add stage support.
Summary: [maintainer-update] [patch] devel/dulwich: Update to 0.9.1. Add stage support.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 15:40 UTC by Marco Bröder
Modified: 2013-10-14 13:06 UTC (History)
0 users

See Also:


Attachments
file.diff (8.78 KB, patch)
2013-10-06 15:40 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2013-10-06 15:40:00 UTC
Update to 0.9.1 release.

Add PORTEXAMPLES.

Support staging.

Remove options file workaround.

Use the new PYDISTUTILS_AUTOPLIST knob and remove pkg-plist.

Since it is now possible to use the python meta-ports as direct dependencies,
just depend on the python 2 meta-port, because a specific minor version is not
relevant.

Minor fixes / safety belt additions.

Tested (amd64) on head, stable/9, releng/9.2, releng/8.4.

Thanks!

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-10-07 12:11:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-10-14 13:06:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!